Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.tx
Class TransactionRepository

    java.lang.Object
      org.jboss.messaging.core.tx.TransactionRepository

public class TransactionRepository
extends java.lang.Object

This class maintains JMS Server local transactions.

Version:
  $Revision 1.1 $ $Id$
Author:
  Tim Fox

Field Summary
`protected java.util.Map` | `globalToLocalMap`
`protected IdManager` | `idManager`
`protected PersistenceManager` | `persistenceManager`

Constructor Summary
`TransactionRepository()`

Method Summary
`Transaction` | `createTransaction()`
`Transaction` | `createTransaction(javax.transaction.xa.Xid xid)`
`java.util.List` | `getPreparedTransactions()`
`Transaction` | `getPreparedTx(javax.transaction.xa.Xid xid)`
`void` | `loadPreparedTransactions()`
`void` | `start(PersistenceManager persistenceManager)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### globalToLocalMap

    protected java.util.Map globalToLocalMap

### persistenceManager

    protected PersistenceManager persistenceManager

### idManager

    protected IdManager idManager

Constructor Detail

### TransactionRepository

    public TransactionRepository()
                          throws java.lang.Exception

Method Detail

### start

    public void start(PersistenceManager persistenceManager)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPreparedTransactions

    public java.util.List getPreparedTransactions()

### loadPreparedTransactions

    public void loadPreparedTransactions()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPreparedTx

    public Transaction getPreparedTx(javax.transaction.xa.Xid xid)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTransaction

    public Transaction createTransaction(javax.transaction.xa.Xid xid)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createTransaction

    public Transaction createTransaction()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.